Package writer2latex.office

# Class TableRange

java.lang.Object
writer2latex.office.TableRange

public class TableRange extends Object
This class represent a table range within a table. A table range is defined as a rectangular area (such as a print range), possibly excluding filtered and hidden rows. A `TableView` can be derived from a table range, providing read access to the range.

## Constructor Summary

Constructors
Constructor
Description
`TableRange(TableReader reader)`

## Method Summary

Modifier and Type
Method
Description
`TableView`
`createTableView()`
`int`
`getFirstCol()`
`int`
`getFirstRow()`
`int`
`getLastCol()`
`int`
`getLastRow()`
`boolean`
`includeFiltered()`
`boolean`
`includeHidden()`
`void`
`setFirstCol(int nCol)`
`void`
`setFirstRow(int nRow)`
`void`
`setIncludeFiltered(boolean b)`
`void`
`setIncludeHidden(boolean b)`
`void`
`setLastCol(int nCol)`
`void`
`setLastRow(int nRow)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableRange

public TableRange(TableReader reader)

## Method Details

### setFirstRow

public void setFirstRow(int nRow)

### getFirstRow

public int getFirstRow()

### setLastRow

public void setLastRow(int nRow)

### getLastRow

public int getLastRow()

### setFirstCol

public void setFirstCol(int nCol)

### getFirstCol

public int getFirstCol()

### setLastCol

public void setLastCol(int nCol)

### getLastCol

public int getLastCol()

### setIncludeHidden

public void setIncludeHidden(boolean b)

### includeHidden

public boolean includeHidden()

### setIncludeFiltered

public void setIncludeFiltered(boolean b)

### includeFiltered

public boolean includeFiltered()

### createTableView

public TableView createTableView()